Bug 1019168 - hy_query_filter_provides_in doesn't exist
hy_query_filter_provides_in doesn't exist
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hawkey (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Honza Silhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 05:01 EDT by Richard Hughes
Modified: 2013-12-13 22:05 EST (History)
2 users (show)

See Also:
Fixed In Version: hawkey-0.4.6-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:05:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2013-10-15 05:01:40 EDT
Description of problem:

PackageKit clients often do things like this: WhatProvides(["mp3-support", "mpeg-support", "multimedia-nonfree"] or something like that. Basically, return all packages that provide *any* of those things.

Using hy_query_filter_provides allows me to chain together multiple queries, but then I have to join the packagelists and filter for duplicates, which is inelegant at best.

Ideally a hy_query_filter_provides_in() would exist that allows me to pass in a char** and filter on all terms at once. If there's a way of filtering the provides using a HyReldepList just yell, but I don't think hy_query_filter_reldep_in does what I need.

Version-Release number of selected component (if applicable): hawkey-0.4.2-1.git4c51f65.fc20.x86_64
Comment 1 Ales Kozumplik 2013-10-15 05:26:12 EDT
Hi, thanks for the report, I'm giving this low priority for now.
Comment 2 Honza Silhan 2013-11-22 05:49:58 EST
Feature is now available in the upstream.
Comment 3 Richard Hughes 2013-11-22 06:17:21 EST
Pushed to PackageKit, thanks:

commit c475e47dc62cd1bcc1a7cfce19a9bbfba8627a78
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Nov 22 11:08:54 2013 +0000

    hawkey: Use the new hy_query_filter_provides_in()

:100644 100644 5a7e4a9... dc7d08c... M  backends/hawkey/pk-backend-hawkey.c
Comment 4 Fedora Update System 2013-12-04 11:20:21 EST
hawkey-0.4.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hawkey-0.4.6-1.fc20
Comment 5 Fedora Update System 2013-12-04 19:39:36 EST
Package hawkey-0.4.6-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.4.6-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22714/hawkey-0.4.6-1.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-12-13 22:05:15 EST
hawkey-0.4.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.